Bug 121170 - IBM Memory Key not recognised
Summary: IBM Memory Key not recognised
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: hwdata   
(Show other bugs)
Version: 1
Hardware: noarch Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-04-18 12:30 UTC by Matthew Mott
Modified: 2014-03-17 02:44 UTC (History)
1 user (show)

Fixed In Version: 0.118-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-19 20:10:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matthew Mott 2004-04-18 12:30:27 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040116

Description of problem:
When inserting an IBM USB memory key, the key is not recognised and
added to fstab. Although an output from lsusb reveals:

Bus 004 Device 011: ID 08ec:0012 M-Systems Flash Disk Pioneers

which should be matched by the "match Flash" line in the flash section
of updfstab.conf.default, this does not happen.

The problem can be rectified by adding the line:

match hd "Memory Key" 

to either the flash or memstick sections of updfstab.conf.default.



Version-Release number of selected component (if applicable):
hwdata-0.117-1

How reproducible:
Always

Steps to Reproduce:
1. Insert an IBM Memory Key
2. View the contents of /etc/fstab, and observe that no line has been
added for it.

    

Actual Results:  Nothing happens at all. The USB device is detected
and shown in lsusb and can be manually mounted, but kudzu/updfstab do
not recognise it.

Expected Results:  The device should have been recognised, and a line
added to /etc/fstab, a link created in /mnt and the device should be
mountable.

Additional info:

I updated to hwdata-0.117-1 but this did not solve the problem. By
adding the line

match hd "Memory Key" 

to one of the "device" sections in updfstab.conf.default the memory
key can be made to work. This line probably needs to be added as
default in the next release of hwdata.

Comment 1 Matthew Mott 2004-04-18 14:56:22 UTC
Information about the key from /proc/bus/usb/devices:

T:  Bus=04 Lev=01 Prnt=01 Port=01 Cnt=01 Dev#= 11 Spd=12  MxCh= 0
D:  Ver= 2.00 Cls=00(>ifc ) Sub=00 Prot=00 MxPS=64 #Cfgs=  1
P:  Vendor=08ec ProdID=0012 Rev= 2.00
S:  Manufacturer=IBM
S:  Product=USB 2.0 Memory Key
S:  SerialNumber=08411140E10021C5
C:* #Ifs= 1 Cfg#= 1 Atr=80 MxPwr= 94mA
I:  If#= 0 Alt= 0 #EPs= 2 Cls=08(stor.) Sub=06 Prot=50 Driver=usb-storage
E:  Ad=81(I) Atr=02(Bulk) MxPS=  64 Ivl=0ms
E:  Ad=02(O) Atr=02(Bulk) MxPS=  64 Ivl=0ms


Comment 2 Bill Nottingham 2004-04-19 04:51:25 UTC
The USB device string is *not* what is matched... that's pretty much
irrelevant.

What's the output of kudzu -p -b scsi?

Comment 3 Matthew Mott 2004-04-19 17:37:34 UTC
Output of kudzu -p -b scsi (memory key section):

--
class: HD
bus: SCSI
detached: 0
device: sdb
driver: ignore
desc: "Ibm Memory Key"
host: 4
id: 0
channel: 0
lun: 0
generic: sg3


Comment 4 Bill Nottingham 2004-04-19 19:07:53 UTC
What partition does it use?


Comment 5 Matthew Mott 2004-04-19 20:02:33 UTC
First partition - /dev/sdb1

Comment 6 Bill Nottingham 2004-04-19 20:10:47 UTC
Will be in hwdata-0.118-1 when it's built, thanks!


Note You need to log in before you can comment on or make changes to this bug.